### Method

# Adw NavigationViewreplace

since: 1.4

#### Declaration [src]

    void
    adw_navigation_view_replace (
      AdwNavigationView* self,
      AdwNavigationPage** pages,
      int n_pages
    )

#### Description [src]

Replaces the current navigation stack with `pages`.

The last page becomes the visible page.

Replacing the navigation stack has no animation.

If `adw_navigation_view_add()` hasn’t been called for any pages that are no longer in the navigation stack, they are automatically removed.

`n_pages` can be 0, in that case no page will be visible after calling this method. This can be useful for removing all pages from `self`.

The `AdwNavigationView::replaced` signal will be emitted.

See `adw_navigation_view_replace_with_tags()`.

Available since: 1.4

#### Parameters

`pages`

  Type: An array of `AdwNavigationPage*`

  The new navigation stack.

  The length of the array is specified in the `n_pages` argument.
  The data is owned by the caller of the method.

`n_pages`

  Type: `int`

  The number of pages in `pages`.